Bug 1000095 - nova: we are able to delete a server while creating a snapshot leaving snapshot in Queued status
nova: we are able to delete a server while creating a snapshot leaving snapsh...
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Xavier Queralt
Dafna Ron
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 12:14 EDT by Dafna Ron
Modified: 2014-09-08 01:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 05:15:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (8.18 MB, application/x-gzip)
2013-08-22 12:14 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1296590 None None None Never

  None (edit)
Description Dafna Ron 2013-08-22 12:14:54 EDT
Created attachment 789267 [details]
logs

Description of problem:

I created a snapshot in the UI and ran nova delete <server> 

The delete succeeded and the snapshot is left in Queued status. 

other actions on server (such as reboot, pause and suspend) are blocked during create snapshot. 

Version-Release number of selected component (if applicable):

openstack-nova-compute-2013.1.3-1.el6ost.noarch
openstack-cinder-2013.1.3-2.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. launch an instance 
2. create a snapshot for the instance 
3. on compute run: nova delete <server> 

Actual results:

the server is deleted and the snapshot is left in Queued status.

Expected results:

we should block the delete as long as the snapshot is created.

Additional info: logs

[root@opens-vdsb ~(keystone_admin)]# nova list 
+--------------------------------------+------+--------+----------------------------------------------+
| ID                                   | Name | Status | Networks                                     |
+--------------------------------------+------+--------+----------------------------------------------+
| b66920c8-034f-4f39-a4c3-04c1953d31cd | test | ACTIVE | novanetwork=192.168.32.2, 10.3.4.7, 10.3.4.8 |
+--------------------------------------+------+--------+----------------------------------------------+

[root@opens-vdsb ~(keystone_admin)]# nova delete b66920c8-034f-4f39-a4c3-04c1953d31cd

[root@opens-vdsb ~(keystone_admin)]# nova list

[root@opens-vdsb ~(keystone_admin)]# nova image-list
+--------------------------------------+------------------+--------+--------------------------------------+
| ID                                   | Name             | Status | Server                               |
+--------------------------------------+------------------+--------+--------------------------------------+
| 3219c454-6450-4772-97ad-1e370b9c4cae | 10000mb          | ACTIVE |                                      |
| 06e1ca8a-f32a-4e1f-9adf-210e38cc375a | 1mb              | ACTIVE |                                      |
| 32585cb0-a77b-43d8-975b-aea9f1e17df3 | bla              | ACTIVE | f0e1465b-db78-47be-a1d4-fcf9fc999635 |
| 19711839-e159-4437-99b3-0c8e88fc3538 | delete           | SAVING | b66920c8-034f-4f39-a4c3-04c1953d31cd |
| 9f29b01a-f167-4ee9-8445-e6d5c1934914 | pause            | ACTIVE | b66920c8-034f-4f39-a4c3-04c1953d31cd |
| 2600a1fd-e087-416e-8cb3-f93c1ef2ae44 | privet           | ACTIVE |                                      |
| bd703e02-fbf2-4b67-80ea-db23fd00ad43 | public1          | ACTIVE |                                      |
| 8cade14d-010d-432c-bda2-4a1e19193741 | rhel3            | ACTIVE |                                      |
| 08a0fa32-0a02-45fe-9cae-65d5ba34065d | rhev             | ACTIVE |                                      |
| 0f04cd30-06f6-4dd1-819f-c981b33fac45 | suspend          | ACTIVE | b66920c8-034f-4f39-a4c3-04c1953d31cd |
| 7cc95833-d717-4f8c-8d44-fa3bad6b3bbb | test5            | ACTIVE |                                      |
| f8358435-6a07-438d-bdb0-e3b862f683be | test_hard_reboot | ACTIVE | b66920c8-034f-4f39-a4c3-04c1953d31cd |
| 18a75469-b69d-429c-b4c0-0712907295d2 | test_snap        | ACTIVE | b66920c8-034f-4f39-a4c3-04c1953d31cd |
| 8d69e611-1003-4d7f-b50d-311ab3099367 | win              | ACTIVE |                                      |
+--------------------------------------+------------------+--------+--------------------------------------+



[root@opens-vdsb ~(keystone_admin)]# egrep 19711839-e159-4437-99b3-0c8e88fc3538 /var/log/nova/*
/var/log/nova/compute.log:2013-08-22 18:57:36.556 8542 DEBUG nova.openstack.common.rpc.amqp [-] received {u'_context_roles': [u'_member_', u'admin'], u'_context_request_id': u'req-756b5474-82ff-4388-95c9-a9b9a63fefc0', u'_context_quota_class': None, u'_context_project_name': u'admin', u'_context_service_catalog': [{u'endpoints_links': [], u'endpoints': [{u'adminURL': u'http://10.35.101.10:8776/v1/f372ca53f0484f589413148b6c9ad39c', u'region': u'RegionOne', u'publicURL': u'http://10.35.101.10:8776/v1/f372ca53f0484f589413148b6c9ad39c', u'internalURL': u'http://10.35.101.10:8776/v1/f372ca53f0484f589413148b6c9ad39c', u'id': u'464e926b809846d1b5c965b037980070'}], u'type': u'volume', u'name': u'cinder'}], u'_context_user_name': u'admin', u'_context_auth_token': '<SANITIZED>', u'args': {u'image_type': u'snapshot', u'instance': {u'vm_state': u'active', u'availability_zone': None, u'terminated_at': None, u'ephemeral_gb': 0, u'instance_type_id': 2, u'user_data': None, u'vm_mode': None, u'deleted_at': None, u'reservation_id': u'r-o0520g0w', u'id': 136, u'security_groups': [{u'deleted_at': None, u'user_id': u'4e8268c19c2143a0b3cf978afab45fea', u'name': u'default', u'deleted': 0, u'created_at': u'2013-06-25T11:47:00.000000', u'updated_at': None, u'rules': [], u'project_id': u'f372ca53f0484f589413148b6c9ad39c', u'id': 1, u'description': u'default'}], u'disable_terminate': False, u'user_id': u'4e8268c19c2143a0b3cf978afab45fea', u'uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'default_swap_device': None, u'info_cache': {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': u'2013-08-22T15:05:40.000000', u'network_info': u'[{"ovs_interfaceid": null, "network": {"bridge": "br100", "subnets": [{"ips": [{"meta": {}, "version": 4, "type": "fixed", "floating_ips": [{"meta": {}, "version": 4, "type": "floating", "address": "10.3.4.7"}, {"meta": {}, "version": 4, "type": "floating", "address": "10.3.4.8"}], "address": "192.168.32.2"}], "version": 4, "meta": {"dhcp_server": "192.168.32.1"}, "dns": [{"meta": {}, "version": 4, "type": "dns", "address": "8.8.4.4"}], "routes": [], "cidr": "192.168.32.0/22", "gateway": {"meta": {}, "version": 4, "type": "gateway", "address": "192.168.32.1"}}, {"ips": [], "version": null, "meta": {"dhcp_server": null}, "dns": [], "routes": [], "cidr": null, "gateway": {"meta": {}, "version": null, "type": "gateway", "address": null}}], "meta": {"tenant_id": null, "should_create_bridge": true, "bridge_interface": "eth0"}, "id": "6d2ca37b-a5e2-4c90-8a76-fef22c20ee6d", "label": "novanetwork"}, "devname": null, "qbh_params": null, "meta": {}, "address": "fa:16:3e:82:32:e8", "type": "bridge", "id": "c1d5de40-c1c3-4936-ac80-73cc342e4699", "qbg_params": null}]', u'deleted_at': None, u'id': 136}, u'hostname': u'test', u'launched_on': u'opens-vdsb.qa.lab.tlv.redhat.com', u'display_description': u'test', u'key_data': None, u'kernel_id': u'', u'power_state': 1, u'default_ephemeral_device': None, u'progress': 0, u'project_id': u'f372ca53f0484f589413148b6c9ad39c', u'launched_at': u'2013-08-20T15:11:58.000000', u'scheduled_at': u'2013-08-20T15:11:50.000000', u'node': u'opens-vdsb.qa.lab.tlv.redhat.com', u'ramdisk_id': u'', u'access_ip_v6': None, u'access_ip_v4': None, u'deleted': 0, u'key_name': None, u'updated_at': u'2013-08-22T15:57:36.464989', u'host': u'opens-vdsb.qa.lab.tlv.redhat.com', u'architecture': None, u'display_name': u'test', u'system_metadata': [{u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'512', u'key': u'instance_type_memory_mb', u'deleted_at': None, u'id': 1486}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'0', u'key': u'instance_type_swap', u'deleted_at': None, u'id': 1487}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': None, u'key': u'instance_type_vcpu_weight', u'deleted_at': None, u'id': 1488}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'0', u'key': u'instance_type_root_gb', u'deleted_at': None, u'id': 1489}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'2', u'key': u'instance_type_id', u'deleted_at': None, u'id': 1490}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'm1.tiny', u'key': u'instance_type_name', u'deleted_at': None, u'id': 1491}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'0', u'key': u'instance_type_ephemeral_gb', u'deleted_at': None, u'id': 1492}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'1', u'key': u'instance_type_rxtx_factor', u'deleted_at': None, u'id': 1493}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'1', u'key': u'instance_type_flavorid', u'deleted_at': None, u'id': 1494}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'1', u'key': u'instance_type_vcpus', u'deleted_at': None, u'id': 1495}, {u'instance_uuid': u'b66920c8-034f-4f39-a4c3-04c1953d31cd', u'deleted': 0, u'created_at': u'2013-08-20T15:11:50.000000', u'updated_at': None, u'value': u'7cc95833-d717-4f8c-8d44-fa3bad6b3bbb', u'key': u'image_base_image_ref', u'deleted_at': None, u'id': 1496}], u'task_state': u'image_snapshot', u'shutdown_terminate': False, u'cell_name': None, u'root_gb': 0, u'locked': False, u'name': u'instance-00000088', u'created_at': u'2013-08-20T15:11:50.000000', u'launch_index': 0, u'metadata': [], u'memory_mb': 512, u'vcpus': 1, u'image_ref': u'7cc95833-d717-4f8c-8d44-fa3bad6b3bbb', u'root_device_name': u'/dev/vda', u'auto_disk_config': None, u'os_type': None, u'config_drive': u''}, u'backup_type': None, u'rotation': None, u'image_id': u'19711839-e159-4437-99b3-0c8e88fc3538'}, u'_context_tenant': u'f372ca53f0484f589413148b6c9ad39c', u'_context_instance_lock_checked': False, u'_context_timestamp': u'2013-08-22T15:57:36.088080', u'_context_is_admin': True, u'version': u'2.0', u'_context_project_id': u'f372ca53f0484f589413148b6c9ad39c', u'_context_user': u'4e8268c19c2143a0b3cf978afab45fea', u'_unique_id': u'33ed6577b3104b00bf73f65673761450', u'_context_read_deleted': u'no', u'_context_user_id': u'4e8268c19c2143a0b3cf978afab45fea', u'method': u'snapshot_instance', u'_context_remote_address': u'10.35.101.10'} _safe_log /usr/lib/python2.6/site-packages/nova/openstack/common/rpc/common.py:276
/var/log/nova/compute.log:2013-08-22 18:57:37.137 DEBUG nova.image.glance [req-756b5474-82ff-4388-95c9-a9b9a63fefc0 4e8268c19c2143a0b3cf978afab45fea f372ca53f0484f589413148b6c9ad39c] fetching image 19711839-e159-4437-99b3-0c8e88fc3538 from glance get_remote_image_service /usr/lib/python2.6/site-packages/nova/image/glance.py:495
Comment 1 Xavier Queralt 2014-03-24 05:15:28 EDT
For any further follow up on this issue, please refer to the upstream bug linked to this bug.

Note You need to log in before you can comment on or make changes to this bug.